# New endpoints and data features

Thanks to our new back-end structure, we can offer more data features and new endpoints. (i.e. ball coordinates, referee and coach statistics)

### New Endpoints

* [Transfer endpoints](/v3/endpoints-and-entities/endpoints/transfers.md)
  * [All Transfers](/v3/endpoints-and-entities/endpoints/transfers/get-all-transfers.md)
  * [Latest Transfers](/v3/endpoints-and-entities/endpoints/transfers/get-latest-transfers.md)
  * [Transfer By ID](/v3/endpoints-and-entities/endpoints/transfers/get-transfer-by-id.md)
  * [Transfers By Team ID](/v3/endpoints-and-entities/endpoints/transfers/get-transfers-by-team-id.md)
  * [Transfers By Player ID](/v3/endpoints-and-entities/endpoints/transfers/get-transfers-by-player-id.md)
* [Referees endpoints](/v3/endpoints-and-entities/endpoints/referees.md)
  * [All Referees](/v3/endpoints-and-entities/endpoints/referees/get-all-referees.md)
  * [Referee By ID](/v3/endpoints-and-entities/endpoints/referees/get-referee-by-id.md)
  * [Referees By Country ID](/v3/endpoints-and-entities/endpoints/referees/get-referees-by-country-id.md)
  * [Search Referee By Name](/v3/endpoints-and-entities/endpoints/referees/get-referees-search-by-name.md)
* [Schedules endpoints](/v3/endpoints-and-entities/endpoints/schedules.md)
  * [Schedules By Season ID](/v3/endpoints-and-entities/endpoints/schedules/get-schedules-by-season-id.md)
  * [Schedules By Season and Team ID](/v3/endpoints-and-entities/endpoints/schedules/get-schedules-by-season-id-and-team-id.md)
* Search endpoints for all entities with a name field
* Extra endpoints for each entity
  * All endpoints for most entities

**Available in core:**

* Base entities;
  * Continents
  * Regions
  * Countries
  * Cities
  * Filters
* Types endpoint
  * All Types
  * Type By ID
* My endpoints (to check your own data features)
  * Data Features endpoint
    * My Data Features
  * Endpoints
    * My Endpoints
  * Leagues
    * My Leagues
* Search endpoints for all entities with a name field
* Extra endpoints for each entity

### League priority

You can now prioritize the leagues you want to view. In [MySportmonks](https://my.sportmonks.com/api/leagues/priority) you can change the priority of all leagues in your subscription. You can simply sort them according to your liking, and the API will show leagues in this specific order when requesting leagues.

### New Data Features

* Offsides events for major leagues&#x20;
* Detailed player positions
* Shots on/off target events for major leagues&#x20;
* Placeholder games available (finals, etc)&#x20;
* Ball coordinates (semi-live)&#x20;
* Forecast weather report&#x20;
* Expanded predictions&#x20;
* Predictive lineups
* Coach statistics&#x20;
* Referee statistics
* Period statistics
* More statistics in general&#x20;
* League priority configuration


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/welcome/differences-between-api-2-and-api-3/new-endpoints-and-data-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
